<jsp:directive.page pageEncoding="UTF-8" />
<jsp:scriptlet>
	// systemOutPrintRequest.jsp は、リクエスト変数を、System.out.println で
	// 実行DOS窓上に出力する機能です。

	System.out.println( "==== ServleRequest ==== " + new java.util.Date() );
	System.out.println( "  RequestURL  = " + request.getRequestURL() );
	System.out.println( "  QueryString = " + request.getQueryString() );

	System.out.println( "==== ParameterValues ====" );

	java.util.Enumeration enum1 = request.getParameterNames();
	while( enum1.hasMoreElements() ) {
		String key = (String)(enum1.nextElement());
		for( String value : request.getParameterValues( key ) ) {
			String sp = (key.length() > 15) ? "" : "               ".substring( key.length() );
			System.out.println( "  key = " + key + sp + " value = " + value );
	    }
	}
</jsp:scriptlet>
